from django import template


from com.models import CompanyInfo,CategoryPage,FollowUp,WebPage,ProductPage
from django.db.models import Q
from django.contrib.auth.models import User
from wagtail.models import Page

from django.utils.safestring import mark_safe
from bs4 import BeautifulSoup
import re 
from wagtail.rich_text import RichText
register = template.Library()

@register.filter(is_safe=True)
def add_formating(value):
    soup = BeautifulSoup(value, 'html.parser')
    for ul in soup.find_all('h1'):
        ul['class'] = 'text-2xl font-bold'
    for ol in soup.find_all('h2'):
        ol['class'] = 'text-xl font-bold'
    for ul in soup.find_all('ul'):
        ul['class'] = 'list-disc list-inside pl-4 space-y-2 text-gray-700'
    for ol in soup.find_all('ol'):
        ol['class'] = 'list-decimal list-inside pl-4 space-y-2 text-gray-700'
    return mark_safe(str(soup))



# @register.filter(is_safe=True)
# def add_list_classes(value):
#     soup = BeautifulSoup(value, 'html.parser')
#     # for ul in soup.find_all('ul'):
#     #     ul['class'] = 'list-disc list-inside pl-4 space-y-2 text-gray-700'
#     # for ol in soup.find_all('ol'):
#     #     ol['class'] = 'list-decimal list-inside pl-4 space-y-2 text-gray-700'
#     return mark_safe(str(soup))






# @register.simple_tag
# def split(value, key):
#     return value.split(key)


@register.simple_tag
def menus():
    return Page.objects.filter(show_in_menus=True)


@register.simple_tag
def web_page(type):
    if WebPage.objects.filter(title=type).exists():
        return WebPage.objects.get(title=type)
    else:
        return "Tricom"


@register.simple_tag
def company_logo(type):
    if CompanyInfo.objects.filter(ciType=type).exists():
        return CompanyInfo.objects.get(ciType=type)
    else:
        return "Tricom"




@register.simple_tag
def follow_enq(enq):
    return FollowUp.objects.filter(enquiry=enq)



@register.simple_tag
def category_list():
    return CategoryPage.objects.all()

# @register.simple_tag
# def find_sub_category_list(slug):
#     return Category.objects.filter(parent__catSlug=slug)

@register.simple_tag
def find_product_list(slug):
    return ProductPage.objects.all()

@register.simple_tag
def users_list():
    return User.objects.filter(~Q(is_superuser=True))
